Attribute VB_Name = "modGeral"
Option Explicit

Private Declare Function LoadCursorFromFile Lib "user32" Alias "LoadCursorFromFileA" (ByVal lpFileName As String) As Long
Private Declare Function SetSystemCursor Lib "user32" (ByVal hcur As Long, ByVal id As Long) As Long
Private Declare Function GetCursor Lib "user32" () As Long
Private Declare Function CopyIcon Lib "user32" (ByVal hcur As Long) As Long
Private Const OCR_NORMAL = 32512
Public mlngOldCursor As Long, lngNewCursor As Long
Public Declare Function GetTickCount Lib "kernel32" () As Long

Public Sub StartAnimatedCursor(AniFilePath As String)
    mlngOldCursor = CopyIcon(GetCursor())
    
    If InStr(1, AniFilePath, "\") Then
        lngNewCursor = LoadCursorFromFile(AniFilePath)
    Else
        lngNewCursor = LoadCursorFromFile(App.Path & _
            "\" & AniFilePath)
    End If
    
    SetSystemCursor lngNewCursor, OCR_NORMAL
End Sub

Public Sub RestoreLastCursor()
    SetSystemCursor mlngOldCursor, OCR_NORMAL
End Sub




